Index: XIOS/trunk/src/interface/fortran_attr/iinterpolate_domain_attr.F90
===================================================================
--- XIOS/trunk/src/interface/fortran_attr/iinterpolate_domain_attr.F90	(revision 786)
+++ XIOS/trunk/src/interface/fortran_attr/iinterpolate_domain_attr.F90	(revision 891)
@@ -12,5 +12,5 @@
 
   SUBROUTINE xios(set_interpolate_domain_attr)  &
-    ( interpolate_domain_id, file, order )
+    ( interpolate_domain_id, file, order, renormalize )
 
     IMPLICIT NONE
@@ -19,13 +19,15 @@
       CHARACTER(len = *) , OPTIONAL, INTENT(IN) :: file
       INTEGER  , OPTIONAL, INTENT(IN) :: order
+      LOGICAL  , OPTIONAL, INTENT(IN) :: renormalize
+      LOGICAL (KIND=C_BOOL) :: renormalize_tmp
 
       CALL xios(get_interpolate_domain_handle)(interpolate_domain_id,interpolate_domain_hdl)
       CALL xios(set_interpolate_domain_attr_hdl_)   &
-      ( interpolate_domain_hdl, file, order )
+      ( interpolate_domain_hdl, file, order, renormalize )
 
   END SUBROUTINE xios(set_interpolate_domain_attr)
 
   SUBROUTINE xios(set_interpolate_domain_attr_hdl)  &
-    ( interpolate_domain_hdl, file, order )
+    ( interpolate_domain_hdl, file, order, renormalize )
 
     IMPLICIT NONE
@@ -33,12 +35,14 @@
       CHARACTER(len = *) , OPTIONAL, INTENT(IN) :: file
       INTEGER  , OPTIONAL, INTENT(IN) :: order
+      LOGICAL  , OPTIONAL, INTENT(IN) :: renormalize
+      LOGICAL (KIND=C_BOOL) :: renormalize_tmp
 
       CALL xios(set_interpolate_domain_attr_hdl_)  &
-      ( interpolate_domain_hdl, file, order )
+      ( interpolate_domain_hdl, file, order, renormalize )
 
   END SUBROUTINE xios(set_interpolate_domain_attr_hdl)
 
   SUBROUTINE xios(set_interpolate_domain_attr_hdl_)   &
-    ( interpolate_domain_hdl, file_, order_ )
+    ( interpolate_domain_hdl, file_, order_, renormalize_ )
 
     IMPLICIT NONE
@@ -46,4 +50,6 @@
       CHARACTER(len = *) , OPTIONAL, INTENT(IN) :: file_
       INTEGER  , OPTIONAL, INTENT(IN) :: order_
+      LOGICAL  , OPTIONAL, INTENT(IN) :: renormalize_
+      LOGICAL (KIND=C_BOOL) :: renormalize__tmp
 
       IF (PRESENT(file_)) THEN
@@ -55,8 +61,13 @@
       ENDIF
 
+      IF (PRESENT(renormalize_)) THEN
+        renormalize__tmp = renormalize_
+        CALL cxios_set_interpolate_domain_renormalize(interpolate_domain_hdl%daddr, renormalize__tmp)
+      ENDIF
+
   END SUBROUTINE xios(set_interpolate_domain_attr_hdl_)
 
   SUBROUTINE xios(get_interpolate_domain_attr)  &
-    ( interpolate_domain_id, file, order )
+    ( interpolate_domain_id, file, order, renormalize )
 
     IMPLICIT NONE
@@ -65,13 +76,15 @@
       CHARACTER(len = *) , OPTIONAL, INTENT(OUT) :: file
       INTEGER  , OPTIONAL, INTENT(OUT) :: order
+      LOGICAL  , OPTIONAL, INTENT(OUT) :: renormalize
+      LOGICAL (KIND=C_BOOL) :: renormalize_tmp
 
       CALL xios(get_interpolate_domain_handle)(interpolate_domain_id,interpolate_domain_hdl)
       CALL xios(get_interpolate_domain_attr_hdl_)   &
-      ( interpolate_domain_hdl, file, order )
+      ( interpolate_domain_hdl, file, order, renormalize )
 
   END SUBROUTINE xios(get_interpolate_domain_attr)
 
   SUBROUTINE xios(get_interpolate_domain_attr_hdl)  &
-    ( interpolate_domain_hdl, file, order )
+    ( interpolate_domain_hdl, file, order, renormalize )
 
     IMPLICIT NONE
@@ -79,12 +92,14 @@
       CHARACTER(len = *) , OPTIONAL, INTENT(OUT) :: file
       INTEGER  , OPTIONAL, INTENT(OUT) :: order
+      LOGICAL  , OPTIONAL, INTENT(OUT) :: renormalize
+      LOGICAL (KIND=C_BOOL) :: renormalize_tmp
 
       CALL xios(get_interpolate_domain_attr_hdl_)  &
-      ( interpolate_domain_hdl, file, order )
+      ( interpolate_domain_hdl, file, order, renormalize )
 
   END SUBROUTINE xios(get_interpolate_domain_attr_hdl)
 
   SUBROUTINE xios(get_interpolate_domain_attr_hdl_)   &
-    ( interpolate_domain_hdl, file_, order_ )
+    ( interpolate_domain_hdl, file_, order_, renormalize_ )
 
     IMPLICIT NONE
@@ -92,4 +107,6 @@
       CHARACTER(len = *) , OPTIONAL, INTENT(OUT) :: file_
       INTEGER  , OPTIONAL, INTENT(OUT) :: order_
+      LOGICAL  , OPTIONAL, INTENT(OUT) :: renormalize_
+      LOGICAL (KIND=C_BOOL) :: renormalize__tmp
 
       IF (PRESENT(file_)) THEN
@@ -101,8 +118,13 @@
       ENDIF
 
+      IF (PRESENT(renormalize_)) THEN
+        CALL cxios_get_interpolate_domain_renormalize(interpolate_domain_hdl%daddr, renormalize__tmp)
+        renormalize_ = renormalize__tmp
+      ENDIF
+
   END SUBROUTINE xios(get_interpolate_domain_attr_hdl_)
 
   SUBROUTINE xios(is_defined_interpolate_domain_attr)  &
-    ( interpolate_domain_id, file, order )
+    ( interpolate_domain_id, file, order, renormalize )
 
     IMPLICIT NONE
@@ -113,13 +135,15 @@
       LOGICAL, OPTIONAL, INTENT(OUT) :: order
       LOGICAL(KIND=C_BOOL) :: order_tmp
+      LOGICAL, OPTIONAL, INTENT(OUT) :: renormalize
+      LOGICAL(KIND=C_BOOL) :: renormalize_tmp
 
       CALL xios(get_interpolate_domain_handle)(interpolate_domain_id,interpolate_domain_hdl)
       CALL xios(is_defined_interpolate_domain_attr_hdl_)   &
-      ( interpolate_domain_hdl, file, order )
+      ( interpolate_domain_hdl, file, order, renormalize )
 
   END SUBROUTINE xios(is_defined_interpolate_domain_attr)
 
   SUBROUTINE xios(is_defined_interpolate_domain_attr_hdl)  &
-    ( interpolate_domain_hdl, file, order )
+    ( interpolate_domain_hdl, file, order, renormalize )
 
     IMPLICIT NONE
@@ -129,12 +153,14 @@
       LOGICAL, OPTIONAL, INTENT(OUT) :: order
       LOGICAL(KIND=C_BOOL) :: order_tmp
+      LOGICAL, OPTIONAL, INTENT(OUT) :: renormalize
+      LOGICAL(KIND=C_BOOL) :: renormalize_tmp
 
       CALL xios(is_defined_interpolate_domain_attr_hdl_)  &
-      ( interpolate_domain_hdl, file, order )
+      ( interpolate_domain_hdl, file, order, renormalize )
 
   END SUBROUTINE xios(is_defined_interpolate_domain_attr_hdl)
 
   SUBROUTINE xios(is_defined_interpolate_domain_attr_hdl_)   &
-    ( interpolate_domain_hdl, file_, order_ )
+    ( interpolate_domain_hdl, file_, order_, renormalize_ )
 
     IMPLICIT NONE
@@ -144,4 +170,6 @@
       LOGICAL, OPTIONAL, INTENT(OUT) :: order_
       LOGICAL(KIND=C_BOOL) :: order__tmp
+      LOGICAL, OPTIONAL, INTENT(OUT) :: renormalize_
+      LOGICAL(KIND=C_BOOL) :: renormalize__tmp
 
       IF (PRESENT(file_)) THEN
@@ -155,4 +183,9 @@
       ENDIF
 
+      IF (PRESENT(renormalize_)) THEN
+        renormalize__tmp = cxios_is_defined_interpolate_domain_renormalize(interpolate_domain_hdl%daddr)
+        renormalize_ = renormalize__tmp
+      ENDIF
+
   END SUBROUTINE xios(is_defined_interpolate_domain_attr_hdl_)
 
